slice2cs(1)

NAME
slice2cs - The Slice to .NET C# compiler.

SYNOPSIS
slice2cs [options] [files]

DESCRIPTION
slice2cs compiles Slice files to .NET C#. Full documentation for slice2cs is available online at:
https://doc.zeroc.com/ice/3.6/language-mappings/c-sharp-mapping/client-side-slice-to-c-sharp-mapping/slice2cs-command-line-options

OPTIONS

-h, --help
    Displays a help message.

-v, --version
    Displays the compiler version.

-DNAME
    Defines the preprocessor symbol NAME.

-DNAME=DEF
    Defines the preprocessor symbol NAME with the value DEF.

-UNAME
    Undefines the preprocessor symbol NAME.

-IDIR
    Add the directory DIR to the search path for #include directives.

-E
    Print the preprocessor output on stdout.

--output-dir DIR
    Place the generated files into directory DIR.

-d, --debug
    Print debug information showing the operation of the Slice parser.

--ice
    Permit use of the normally reserved prefix Ice for identifiers. Use this option only when compiling the source code for the Ice run time.

--underscore
    Permit use of underscores in Slice identifiers.

--tie
    Generate tie classes.

--impl
    Generate sample implementation files. This option will not overwrite an existing file.

--impl-tie
    Generate sample implementation files using tie classes. This option will not overwrite an existing file.

--checksum CLASS
    Generate checksums for Slice definitions.

--stream
    Generate streaming helper functions for Slice types.

SEE ALSO
slice2cpp(1), slice2freeze(1), slice2freezej(1), slice2html(1), slice2java(1), slice2php(1), slice2py(1), slice2rb(1)